Subject: Re: [PATCH 7/11] ibm_newemac: Skip EMACs that are marked unused by the firmware

From: David Gibson <[email-masked]>
Date: Wed, 5 Dec 2007 14:53:45 +1100

On Wed, Dec 05, 2007 at 11:14:30AM +1100, Benjamin Herrenschmidt wrote:
> From: Hugh Blemings <[email-masked]>
> 
> Depending on how the 44x processors are wired, some EMAC cells
> might not be useable (and not connected to a PHY). However, some
> device-trees may choose to still expose them (since their registers
> are present in the MMIO space) but with an "unused" property in
> them.

It occurred to me the other day.  Instead of using a new "unused"
property for this, should we be using the OF standard "status"
property.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson